/**
  A class that defines the Actions allowed to the agents. Allows the
  actions to be converted to strings for printing purposes.

  @author Kruti Mehta
 * @version 	%I%, %G%
 * @since       JDK1.2

*/

public class Action
{
  public static int START_GAME = 0;
  public static int GOFORWARD = 1;
  public static int TURN_RIGHT = 2;
  public static int TURN_LEFT = 3;
  public static int GRAB = 4;
  public static int SHOOT = 5;
  public static int CLIMB = 6;
  public static int SIT = 7;
  public static int END_TRIAL = 10;
  public static int END_SIMULATION = 11;
  /**
    This variable is used by the simulator to indicate that the client
    did not send any action
  */
  public static int NO_OP = 8;
  /**
    This variable is used internally by the simulator.The client is
    advised not to use this action.
  */
  public static int NO_ACTION = 9;

  public Action()
  {
  }

 /**
   Describes the action as a String.

   @param action as an integer
   @return String describing the action
 */

  public static String toString(int action)
  {
   if(action == GOFORWARD)
    return "GOFORWARD";
   else if(action == TURN_RIGHT)
    return "TURN_RIGHT";
   else if(action == TURN_LEFT)
    return "TURN_LEFT";
   else if(action == GRAB)
    return "GRAB";
   else if(action == SHOOT)
    return "SHOOT";
   else if(action == CLIMB)
    return "CLIMB";
   else if(action == SIT)
    return "SIT";
   else if(action == NO_OP)
    return "NO OPERATION";
   else
    return "NO_ACTION";
  }

}
