/**
  This class is a container that contains the object and the cell to
  which it is added. This is used to maintain a log of all actions when
  a wumpus world entity is added to the wumpus world. Every action is
  stored in an instance of this class.

 * @author Ashwini Kuntamukkala
 * @version 	%I%, %G%
 * @since       JDK1.2

*/

public class ActionInformation
{

	private Cell cell;
	private Object wwEntity;


	// Constructor that initializes the data members
   /**
   Constructor that takes in the cell, object added to the cell.

   @param Cell, Object added to the cell
   */

	public ActionInformation(Cell c, Object o)
	{
		wwEntity = o;
		cell     = c;
	}

   /**
	Returns the cell to which the object was added
    @return Cell to which the object was added
   */
	public Cell getCell()
	{
		return cell;
	}

   /**
	Returns the object that was added to the cell
    @return Object added to the Cell
   */
	public Object getEntity()
	{
		return wwEntity;
	}
}