/**
This class represents a Human Avatar in Wumpus World. It contains the IP address and port number of
Human Controller and also the application that sends the image percepts to the agents
 * @author Ashwini Kuntamukkala
 * @version 	%I%, %G%
 * @since       JDK1.2
*/
public class Human
{
	private String ipImg;
	private int    portImg;

	private String ipRbC;
	private int    portRbC;

	private int humanID;
/**
	Constructor that takes are parameters
	1. ID
	2. IP address and port number of application that sends the image percepts
	3. IP address and port number of Human Controller
*/
	Human(int rID, String iM, int pM, String iR, int pR)
	{
		humanID = rID;
		ipImg = iM;
		portImg = pM;
		ipRbC = iR;
		portRbC = pR;
	}
/**
	Returns the details of Human avatar in printable format
	@return String
*/
	public String toString()
	{
		return  "HumanID = " + humanID +
			"\n\tFor Image Percepts : " +
			"\n\t IP address : " + ipImg +
			"\n\t Port       : " + portImg +
			"\n\tFor Human Controller : " +
			"\n\t IP Address : " + ipRbC +
			"\n\t Port       : " + portRbC +"\n";



	}
/**
	Returns ID
	@return ID
*/
	public int getID()        { return humanID; }
/**
	Returns port number of the application that sends the image percept
	@return
*/

	public int getImagePort() { return portImg; }
/**
	Returns the port number of human controller
	@return
*/

	public int getRbCPort()   { return portRbC; }
/**
	Returns IP address of the application that sends the image percept
	@return
*/

	public String getImageIP(){ return ipImg;   }
/**
	Returns the IP address of human Controller
	@return
*/
	public String getRbCIP()  { return ipRbC;   }

}