import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

/**
This class provides a dialog for registering the Human Avatar Details
with Wumpus World Server.
 * @author Ashwini Kuntamukkala
 * @version 	%I%, %G%
 * @since       JDK1.2
*/

public class HumanAvatarDetails extends JDialog
{
	private Vector colHeads;
	private Vector data;

	private JTextArea jTA;
	private JTextField ipTF;
	private JTextField portTF;
	private JButton btnAdd;

	private JTextField ipRbTF;
	private JTextField portRbTF;
	private int humanCounter;
/**
		Constructor takes two parameters.
		1. Reference to a JFrame
		2. Whether the Dialog window should be model or not

*/
	public HumanAvatarDetails(JFrame frame, boolean modal)
	{
		super(frame, modal);
		setTitle("Human Avatar details...");
		humanCounter=0;
		data = new Vector();
		Vector x = new Vector();
		getContentPane().setLayout(null);

		JLabel imageLbl = new JLabel("For Image Percepts : ");
		imageLbl.setBounds(15,5,150,15);
		JLabel ip = new JLabel("IP Address : ");
		ip.setBounds(25,25,80,20);
		ipTF = new JTextField();
		ipTF.setBounds(115, 25,100,20);
		JLabel port = new JLabel("Port #      : ");
		port.setBounds(25,55,80,20);
		portTF = new JTextField();
		portTF.setBounds(115,55,50,20);

        JLabel rbCntlLbl = new JLabel("For Human Controller :");
        rbCntlLbl.setBounds(15,85,175,15);


		JLabel ipLbl = new JLabel("IP Address : ");
		ipLbl.setBounds(25,110,80,20);
		ipRbTF = new JTextField();
		ipRbTF.setBounds(115,110,100,20);

		JLabel portLbl = new JLabel("Port #      : ");
		portLbl.setBounds(25,140,80,20);

		portRbTF = new JTextField();
		portRbTF.setBounds(115,140,50,20);
		btnAdd = new JButton("Add");
		btnAdd.setBounds(115,170,100,20);
		getContentPane().add(btnAdd);


		btnAdd.addActionListener(
			new ActionListener()
			{
				public void actionPerformed(ActionEvent e)
				{
					try
					{

					Human r = new Human(humanCounter, ipTF.getText(),
													Integer.parseInt(portTF.getText()),
													ipRbTF.getText(),
													Integer.parseInt(portRbTF.getText()));
					humanCounter++;
					jTA.append(r.toString());
					data.add(r);
					}
					catch(NumberFormatException nfe)
					{
						JOptionPane.showMessageDialog(null, "Port number should be an integer");
					}
				}
			}
			);

		getContentPane().add(imageLbl);
		getContentPane().add(ip);
		getContentPane().add(ipTF);
		getContentPane().add(port);
		getContentPane().add(portTF);
		getContentPane().add(rbCntlLbl);
		getContentPane().add(ipLbl);
		getContentPane().add(portLbl);
		getContentPane().add(ipRbTF);
		getContentPane().add(portRbTF);


		jTA = new JTextArea( );
		JPanel panel = new JPanel();
		panel.setBounds(270,10,450,200);
		panel.setLayout(new BorderLayout());

		jTA.setEditable(false);

		panel.add(new JScrollPane(jTA),BorderLayout.CENTER);
		getContentPane().add(panel);


		setSize(750,250);

	}

	/**
	Returns the list of all Human Avatar Details
	@return Vector containing all Human Avatar Details
	*/
	public Vector getData() { return data; }

	/**
		Returns the number of Human Avatars registered with Wumpus World Server
		@return number of Human Avatars registered with Wumpus World Server
	*/
	public int getHumanCount() { return humanCounter; }
}