/**
This class represents a Robot Avatar in Wumpus World. It contains the IP address and port number of
Robot Controller and also the application that sends the image percepts to the agents
 * @author Ashwini Kuntamukkala
 * @version 	%I%, %G%
 * @since       JDK1.2
*/
public class Robot
{
	private String ipImg;
	private int    portImg;

	private String ipRbC;
	private int    portRbC;

	private int robotID;
/**
	Constructor that takes are parameters
	1. ID
	2. IP address and port number of application that sends the image percepts
	3. IP address and port number of Robot Controller
*/

	Robot(int rID, String iM, int pM, String iR, int pR)
	{
		robotID = rID;
		ipImg = iM;
		portImg = pM;
		ipRbC = iR;
		portRbC = pR;
	}
/**
	Returns the details of Human avatar in printable format
	@return String
*/

	public String toString()
	{
		return  "RobotID = " + robotID +
			"\n\tFor Image Percepts : " +
			"\n\t IP address : " + ipImg +
			"\n\t Port       : " + portImg +
			"\n\tFor Robot Controller : " +
			"\n\t IP Address : " + ipRbC +
			"\n\t Port       : " + portRbC +"\n";



	}
/**
	Returns ID
	@return ID
*/

	public int getID()        { return robotID; }
/**
	Returns port number of the application that sends the image percept
	@return
*/
	public int getImagePort() { return portImg; }
/**
	Returns the port number of Robot controller
	@return
*/
	public int getRbCPort()   { return portRbC; }
/**
	Returns IP address of the application that sends the image percept
	@return
*/	public String getImageIP(){ return ipImg;   }
/**
	Returns the IP address of Robot Controller
	@return
*/	public String getRbCIP()  { return ipRbC;   }

}