import javax.swing.*;
import java.util.*;
import java.awt.*;
/**
	This class keeps track of the scores of all agents playing the game
*/

public class ScoreBoardForAgents extends JFrame
{
	Vector     scoreKeeper;
	JTextArea  displayScore;
	/**
		Constructor takes a list of scorekeepers
		@param Vector that is a list of scorekeepers
	*/

	public ScoreBoardForAgents(Vector v)
	{
		super("Current Scores of Agents");
		scoreKeeper = v;
		displayScore = new JTextArea();
		getContentPane().setLayout(new BorderLayout());
		getContentPane().add(displayScore, BorderLayout.CENTER);
	}
	/**
		This method displays the scores of all agents.
	*/
	public void showScoresOfAgents()
	{
		displayScore.setText("");
		if(scoreKeeper!=null)
		{
			for(int i = 0; i < scoreKeeper.size(); i++)
			{
				ScoreKeeper s = (ScoreKeeper) scoreKeeper.elementAt(i);
				displayScore.append("\n"+s.toString());
			}
		}
	}

	/**
		This method clears the score board
	*/
	public void clearScoreBoard()
	{
		displayScore.setText("");
	}
}